com.holonplatform.vaadin.flow.components.builders

## Interface LocalTimeInputBuilder

- All Superinterfaces:
    ComponentConfigurator<LocalTimeInputBuilder>, CompositionNotifierConfigurator<LocalTimeInputBuilder>, DeferrableLocalizationConfigurator<LocalTimeInputBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,LocalTimeInputBuilder>, HasAutocompleteConfigurator<LocalTimeInputBuilder>, HasAutofocusConfigurator<LocalTimeInputBuilder>, HasDeferrableLocalization, HasElementConfigurator<LocalTimeInputBuilder>, HasEnabledConfigurator<LocalTimeInputBuilder>, HasLabelConfigurator<LocalTimeInputBuilder>, HasPatternConfigurator<LocalTimeInputBuilder>, HasPlaceholderConfigurator<LocalTimeInputBuilder>, HasPrefixAndSuffixConfigurator<LocalTimeInputBuilder>, HasSizeConfigurator<LocalTimeInputBuilder>, HasStyleConfigurator<LocalTimeInputBuilder>, HasThemeVariantConfigurator<com.vaadin.flow.component.textfield.TextFieldVariant,LocalTimeInputBuilder>, HasTitleConfigurator<LocalTimeInputBuilder>, HasValueChangeModeConfigurator<LocalTimeInputBuilder>, InputBuilder<LocalTime,ValueHolder.ValueChangeEvent<LocalTime>,Input<LocalTime>,LocalTimeInputBuilder>, InputConfigurator<LocalTime,ValueHolder.ValueChangeEvent<LocalTime>,LocalTimeInputBuilder>, InputNotifierConfigurator<LocalTimeInputBuilder>, InputValueConfigurator<LocalTime,ValueHolder.ValueChangeEvent<LocalTime>,LocalTimeInputBuilder>, KeyNotifierConfigurator<LocalTimeInputBuilder>

      public interface LocalTimeInputBuilder
      extends InputBuilder<LocalTime,ValueHolder.ValueChangeEvent<LocalTime>,Input<LocalTime>,LocalTimeInputBuilder>, InputValueConfigurator<LocalTime,ValueHolder.ValueChangeEvent<LocalTime>,LocalTimeInputBuilder>, HasEnabledConfigurator<LocalTimeInputBuilder>, InputNotifierConfigurator<LocalTimeInputBuilder>, KeyNotifierConfigurator<LocalTimeInputBuilder>, HasValueChangeModeConfigurator<LocalTimeInputBuilder>, HasAutocompleteConfigurator<LocalTimeInputBuilder>, HasSizeConfigurator<LocalTimeInputBuilder>, HasStyleConfigurator<LocalTimeInputBuilder>, HasAutofocusConfigurator<LocalTimeInputBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,LocalTimeInputBuilder>, HasPrefixAndSuffixConfigurator<LocalTimeInputBuilder>, CompositionNotifierConfigurator<LocalTimeInputBuilder>, HasPlaceholderConfigurator<LocalTimeInputBuilder>, HasLabelConfigurator<LocalTimeInputBuilder>, HasTitleConfigurator<LocalTimeInputBuilder>, HasPatternConfigurator<LocalTimeInputBuilder>, HasThemeVariantConfigurator<com.vaadin.flow.component.textfield.TextFieldVariant,LocalTimeInputBuilder>, DeferrableLocalizationConfigurator<LocalTimeInputBuilder>

  Builder to create `LocalTime` type `Input` components.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalTimeInputBuilder` | `create()` Get a new `LocalTimeInputBuilder` to create a `LocalTime` type `Input`.
    `LocalTimeInputBuilder` | `defaultPlaceholder(Function<Character,String> placeholderProvider)` Sets the function to use to display the default input placeholder text.
    `LocalTimeInputBuilder` | `locale(Locale locale)` Set the `Locale` to use to represent and convert `LocalTime` values.
    `LocalTimeInputBuilder` | `timeSeparator(char timeSeparator)` Sets the time separator character to use.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputNotifierConfigurator

      `withInputListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.KeyNotifierConfigurator

      `withKeyDownListener, withKeyDownListener, withKeyPressListener, withKeyPressListener, withKeyUpListener, withKeyUpListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasValueChangeModeConfigurator

      `valueChangeMode`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocompleteConfigurator

      `autocomplete`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPrefixAndSuffixConfigurator

      `prefixComponent, suffixComponent`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.CompositionNotifierConfigurator

      `withCompositionEndListener, withCompositionStartListener, withCompositionUpdateListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTitleConfigurator

      `description, description, description, title, title, title`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPatternConfigurator

      `pattern, preventInvalidInput, preventInvalidInput`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasThemeVariantConfigurator

      `withThemeVariants`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### locale

          LocalTimeInputBuilder locale(Locale locale)

      Set the `Locale` to use to represent and convert `LocalTime` values.

      The provided `Locale` will be always used to obtain time separator character to use.

      Parameters:
        `locale` - the `Locale` to set
      Returns:
        this

    - #### timeSeparator

          LocalTimeInputBuilder timeSeparator(char timeSeparator)

      Sets the time separator character to use.

      The provided character will be always as time separator, regardless of the current `Locale`.

      Parameters:
        `timeSeparator` - the time separator character to set
      Returns:
        this

    - #### defaultPlaceholder

          LocalTimeInputBuilder defaultPlaceholder(Function<Character,String> placeholderProvider)

      Sets the function to use to display the default input placeholder text.

      The time separator character is provider as function argument.

      Parameters:
        `placeholderProvider` - the function to use to display the default input placeholder text
      Returns:
        this

    - #### create

          static LocalTimeInputBuilder create()

      Get a new `LocalTimeInputBuilder` to create a `LocalTime` type `Input`.
      Returns:
        A new `LocalTimeInputBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.